package com.zehong.system.service.impl.debitCredit.roles;

import com.zehong.common.core.domain.entity.SysUser;
import com.zehong.common.utils.SecurityUtils;
import com.zehong.system.domain.TDebitCredit;
import com.zehong.system.service.impl.debitCredit.DebitCreditRolesAbstract;

/**
 * @author geng
 * 其他角色
 */
public class OtherRoles extends DebitCreditRolesAbstract {

    public OtherRoles(TDebitCredit tDebitCredit) {
        super(tDebitCredit);
    }

    @Override
    public void setParams() {
        SysUser user = SecurityUtils.getLoginUser().getUser();
        this.tDebitCredit.setUseId(user.getUserId());
    }

    @Override
    public void setOperators() {

    }
}
